<?php


namespace App\ViewModels\Medicamento\MedicamentoUpdateViewModel;

use App\Utils\Builder;

class MedicamentoUpdateViewModelBuilder implements Builder {
	protected $nome;
	protected $posologia;
	protected $quantidade;
	protected $id_clinica;

	public function setNome($nome) {

		$this->nome = $nome;
		return $this;

	}

	public function setPosologia($posologia) {

		$this->posologia = $posologia;
		return $this;

	}

	public function setQuantidade($quantidade) {

		$this->quantidade = $quantidade;
		return $this;

	}

	public function setIdClinica($id_clinica) {

		$this->id_clinica = $id_clinica;
		return $this;

	}

	public function build(): MedicamentoUpdateViewModel {

		$procedimento_update_vm = new MedicamentoUpdateViewModel();
		$procedimento_update_vm->setNome( $this->nome );
		$procedimento_update_vm->setQuantidade( $this->quantidade );
		$procedimento_update_vm->setPosologia( $this->posologia );
		$procedimento_update_vm->setIdClinica( $this->id_clinica );

		return $procedimento_update_vm;

	}

}